TGT-ADMIN(8)

NAME
tgt-admin - Linux SCSI Target Configuration Tool

SYNOPSIS

tgt-admin [-e --execute] [--delete <value>] [--offline <value>] [--ready <value>] [-s --show] [-C --control-port <NNNN>] [-c --conf <file>] [--ignore-errors] [-f --force] [-p --pretend] [--dump] [-v --verbose] [-h --help]

DESCRIPTION

tgt-admin is a utility which allows a persistent configuration of targets and luns. It uses tgtadm commands to create, delete and show targets.

OPTIONS

-e, --execute
    Read /etc/tgt/targets.conf and execute tgtadm commands. If the target already exists, it won't be processed. See --update.

-d, --delete <value>
    Delete all or selected targets. The target will be deleted only if it's not used (no initiator is connected to it).

    If you want to delete targets which are in use, you have to add the "--force" flag.

        Example usage:
            --delete ALL            - delete all targets
            --delete tid=4          - delete target 4
                                      (target with tid 4)
            --delete iqn.2008-08.com.example:some.target
                                    - delete this target

--offline
    Put all or selected targets in offline state.

        Example usage:
            --offline ALL           - offline all targets
            --offline tid=4         - offline target 4
                                      (target with tid 4)
            --offline iqn.2008-08.com.example:some.target
                                    - offline this target

--ready
    Put all or selected targets in ready state.

        Example usage:
            --ready ALL             - ready all targets
            --ready tid=4           - ready target 4
                                      (target with tid 4)
            --ready iqn.2008-08.com.example:some.target
                                    - ready this target

--update <value>
    Update all or selected targets. The target will be updated only if it's not used (no initiator is connected to it).

    If you want to update targets which are in use, you have to add "--force" flag.

        Example usage:
            --update ALL             - ready all targets
            --update tid=4           - ready target 4
                                       (target with tid 4)
            --update iqn.2008-08.com.example:some.target
                                     - update this target

-s, --show
    Show all the targets.

-C, --control-port <NNNN>
    It is possible to run multiple concurrent instances of tgtd on a host. This argument is used to control which instance the tgt-admin command will operate on.

-c, --conf <configuration file>
    Specify an alternative configuration file instead of /etc/tgt/targets.conf, which is the default.

--ignore-errors
    Continue even if tgtadm exits with non-zero code.

-f, --force
    Force some operations even if the target is in use.

-p, --pretend
    Only print tgtadm options which would be used; don't execute any actions. Assumes -v.

--dump
    Dump current tgtd configuration. Note: does not include detailed parameters, like write caching.

-v, --verbose
    Increase verbosity (show tgtadm commands used).

-h, --help
    Display a list of available options and exit.

FILES

/etc/tgt/targets.conf
    Configuration file for tgt-admin.

/usr/share/doc/tgt/targets.conf.example
    Example configuration file for tgt-admin.

SEE ALSO

targets.conf(5), tgtd(8), tgtadm(8), tgtimg(8), tgt-setup-lun(8). https://github.com/fujita/tgt

REPORTING BUGS

Report bugs to <stgt@vger.kernel.org>